Bug 215792 - Review Request: wgrib - Manipulate, inventory and decode GRIB files
Review Request: wgrib - Manipulate, inventory and decode GRIB files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://www.cora.nwra.com/~orion/fedora/
:
Depends On: 215645
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-15 14:09 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-05 17:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-11-15 14:09:18 EST
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/wgrib.spec
SRPM Name or Url:
http://www.cora.nwra.com/~orion/fedora/wgrib-1.8.0.12b-1.fc6.src.rpm
Description: 

WGRIB is a program to manipulate, inventory and decode GRIB files. 

Note that an older wgrib is currently shipped with grads, this will replace it.
Comment 1 Patrice Dumas 2006-11-15 18:32:16 EST
It is not completely obvious that the version-release is right,
maybe it could also be something like
1.8.0-0.1.12b
to be safe in case 1.8.0 appears. Not sure, as it may also be
some post-releases. It seems to be 1.8.0.12g, anyway.

Otherwise 
* matches upstream (diff used)
* rpmlint gives (easy to fix)
W: wgrib incoherent-version-in-changelog 1.8.0.12b 1.8.0.12b-1
* license is public domain, notice included, match upstream
* upstream is not properly packaged. Maybe you could send a mail?
* %files right
* very simple package

I wanted to test using the porting.txt instructions, but couldn't
download
ftp://wesley.ncep.noaa.gov/pub/wgrib/land.grb

If it is possible, I think it would be good to include that file, if
it isn't too big.

The only potential blocker, in my opinion is the version-release.

What branch will you create?
Comment 2 Patrice Dumas 2006-11-15 18:40:26 EST
I found land.grb

ftp://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/land.grb

Also
ftp://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/testbin.c
ftp://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/testbin.f
should be shipped


All the tests were successful.
Comment 3 Patrice Dumas 2006-11-15 18:59:08 EST
Just found (beware, there is no top-level directory):
ftp://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/wgrib.tar

There is a script src2all which shows how the source files are
combined into wgrib.c. And also a makefile which could be
used to build wgrib.
Comment 4 Orion Poplawski 2006-11-16 13:42:47 EST
Think the version is right, previous versions are like 1.7.3.1, 1.8.0.9g.

Did you get this output from testbin.f:

 bad values:  1.0116254E-40

I'm thinking of not using testbin.f because I don't really want to be debugging
one test program when another works.  Also, do you really think it makes sense
to ship testbin.c and land.grb or just use it in %check?

I checked out the tar file before, but it seems to be version 1.8.0.12g which is
marked as "beta" on the main web page.  The full C file seems to be the
preferred "release" mechanism and the makefile shipped with the tar file is
pretty useless as well.

Here's the latest:
http://www.cora.nwra.com/~orion/fedora/wgrib-1.8.0.12b-2.fc6.src.rpm

As for branches, I'd like to do FC-5 on.  Will need to coordinate with your
grads package obviously.

Thanks for the review!
Comment 5 Patrice Dumas 2006-11-16 16:07:52 EST
(In reply to comment #4)
> Think the version is right, previous versions are like 1.7.3.1, 1.8.0.9g.

Ok.

> Did you get this output from testbin.f:
> 
>  bad values:  1.0116254E-40

Yes. From my tests it seems to be for the very latest point, maybe 
an error in the test script.

> I'm thinking of not using testbin.f because I don't really want to be debugging
> one test program when another works.  Also, do you really think it makes sense
> to ship testbin.c and land.grb or just use it in %check?

Both would make sense in my opinion. I think that those files would
be rightly in %doc (and also testbin.f).

> I checked out the tar file before, but it seems to be version 1.8.0.12g which is
> marked as "beta" on the main web page.  The full C file seems to be the
> preferred "release" mechanism and the makefile shipped with the tar file is
> pretty useless as well.

Ok, I thought it was the corresponding wgrib.c. In fact the Changes
file is misleading, and that's because of that file that I thought that 
that the shipped version was 1.8.0.12g. I proposed the tar file because 
there are already some files shipped in that tar and it could remove
the need to ship some of the files individually.

Somethingn should be done for the Changes file.

> Here's the latest:
> http://www.cora.nwra.com/~orion/fedora/wgrib-1.8.0.12b-2.fc6.src.rpm
> 
> As for branches, I'd like to do FC-5 on.  Will need to coordinate with your
> grads package obviously.

Ok. It's already done for devel.
Comment 6 Orion Poplawski 2006-11-17 11:43:07 EST
Emailed Wesley.  1.8.0.12g has just been made "production", so I've upped the
version.  He still wants the .c file to be the official release, but has started
versioning them on the ftp site.  I've asked again for versioned .tar files so
we can get the Changes file with them, but I really don't see it as a blocker at
this point.

http://www.cora.nwra.com/~orion/fedora/wgrib-1.8.0.12g-1.fc6.src.rpm
Comment 7 Patrice Dumas 2006-11-17 15:57:26 EST
The version issue being sorted out, rpmlint is silent now,

APPROVED
Comment 8 Patrice Dumas 2006-12-02 15:31:09 EST
Why isn't it built now?
Comment 9 Orion Poplawski 2006-12-04 15:55:53 EST
cvs troubles then I got busy.

Checked in and added to owners.list.  Building on devel.  Will ask for FC-6 and
FC-5 branches, but won't build until you rebuilt grads.  Let me know...
Comment 10 Patrice Dumas 2006-12-04 16:30:27 EST
I have rebuilt grads without wgrib.
Comment 11 Orion Poplawski 2006-12-05 17:31:19 EST
FC-5 and FC-6 builds submitted.  Closing..

Note You need to log in before you can comment on or make changes to this bug.